rmmat.c File Reference

DSDPDataMat object of rank one outer product. More...

Go to the source code of this file.

## Functions

int | DSDPGetR1PMat (int n, double ev, int ishift, const int spai[], const double spval[], int nnz, struct DSDPDataMat_Ops **mops, void **mmat)
| Create a rank one matrix usuable by DSDP in packed symmetric format.
int | DSDPGetR1UMat (int n, double ev, int ishift, const int spai[], const double spval[], int nnz, struct DSDPDataMat_Ops **mops, void **mmat)
| Create a rank one matrix usuable by DSDP in full symmetric format.

## Detailed Description

DSDPDataMat object of rank one outer product.

Definition in file rmmat.c.

## Function Documentation

## DSDPGetR1PMat()

int DSDPGetR1PMat | ( | int | n,
|  | double | ev,
|  | int | ishift,
|  | const int | spai[],
|  | const double | spval[],
|  | int | nnz,
|  | struct DSDPDataMat_Ops ** | mops,
|  | void ** | mmat
| ) |  |

Create a rank one matrix usuable by DSDP in packed symmetric format.

int DSDPGetR1PMat(int n, double ev, int ishift, const int spai[], const double spval[], int nnz, struct DSDPDataMat_Ops**mops, void**mmat)

Parameters

  n | number of rows and columns of the matrix
  ev | multiple of the outer product.
  ishift | index of first element in vector.
  spai | array of indices for vector.
  spval | array of vector values.
  nnz | size of arrays.
  mops | address of a pointer to a table of function pointers
  mmat | address of a pointer to an opaque data type.

Definition at line 77 of file rmmat.c.

## DSDPGetR1UMat()

int DSDPGetR1UMat | ( | int | n,
|  | double | ev,
|  | int | ishift,
|  | const int | spai[],
|  | const double | spval[],
|  | int | nnz,
|  | struct DSDPDataMat_Ops ** | mops,
|  | void ** | mmat
| ) |  |

Create a rank one matrix usuable by DSDP in full symmetric format.

int DSDPGetR1UMat(int n, double ev, int ishift, const int spai[], const double spval[], int nnz, struct DSDPDataMat_Ops**mops, void**mmat)

Parameters

  n | number of rows and columns of the matrix
  ev | multiple of the outer product.
  ishift | index of first element in vector.
  spai | array of indices for vector.
  spval | array of vector values.
  nnz | size of arrays.
  mops | address of a pointer to a table of function pointers
  mmat | address of a pointer to an opaque data type.

Definition at line 101 of file rmmat.c.